libzypp: zyppng::SimpleState< StatemachineType, sId, isFin > Class Template Reference

libzypp 17.38.14

zyppng::SimpleState< StatemachineType, sId, isFin > Class Template Reference

`#include <zypp-core/ng/base/statemachine.h>`

Inheritance diagram for zyppng::SimpleState< StatemachineType, sId, isFin >:

## Static Public Attributes
static constexpr auto | stateId = sId
Static Public Attributes inherited from zyppng::BasicState< StatemachineType, isFin >
static constexpr bool | isFinal = isFin

## Additional Inherited Members
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>
Public Member Functions inherited from zyppng::BasicState< StatemachineType, isFin >
| BasicState (StatemachineType &sm)
| ~BasicState () override
| BasicState (BasicState &&) noexcept=default
BasicState & | operator= (BasicState &&) noexcept=default
StatemachineType & | stateMachine ()
const StatemachineType & | stateMachine () const
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
void | setData (uint32_t quark, zypp::AutoDispose< void * > data)
void * | data (uint32_t quark)
void | clearData (uint32_t quark)
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

template<typename StatemachineType, auto sId, bool isFin>
class zyppng::SimpleState< StatemachineType, sId, isFin >

Helper type that also includes the State ID, in more complex state machines utilizing subclassing in their State objects, it might be desireable to have the State ID in the final class implementation

Definition at line 600 of file statemachine.h.

## Member Data Documentation

## ◆ stateId

template<typename StatemachineType, auto sId, bool isFin>

auto zyppng::SimpleState< StatemachineType, sId, isFin >::stateId = sId
| staticconstexpr

Definition at line 602 of file statemachine.h.

The documentation for this class was generated from the following file:

- zypp-core/ng/base/statemachine.h